# -*- coding: utf-8 -*-

from typing import List, Optional

from pydantic import BaseModel


class Space(BaseModel):
    id: str
    realtime_temperature: float
    equipment: Optional[List]
    temperature_target: Optional[float]
    comfortable_temperature: Optional[float]
